<ng-container
    *ngIf="{
        user: (user$ | async)
    } as local"
>
    <div
        class="settings-and-support"
    >
        <ui-header
            [title]="'settings-and-support.title' | translate"
            [hasBackButton]="true"
            [actionButtonIcon]="'question-mark'"
            (backButtonIsClicked)="navigateToHome()"
            (actionButtonIsClicked)="navigateToFaqs()"
        ></ui-header>
        <h2>
            {{'settings-and-support.change-lang' | translate}}
        </h2>
        <div class="language-selection">
            <ui-radio-button
                class="lang-de"
                [active]="activeLang === 'de'"
                [text]="'settings-and-support.lang-de' | translate"
                (isClicked)="changeLanguageToGerman()"
            ></ui-radio-button>
            <ui-radio-button
                [active]="activeLang === 'en'"
                [text]="'settings-and-support.lang-en' | translate"
                (isClicked)="changeLanguageToEnglish()"
            ></ui-radio-button>        
        </div>
        <h2>
            {{'settings-and-support.my-account' | translate}}
        </h2>
        <span><b>Name:</b> {{local.user?.firstname}} {{local.user?.lastname}}</span>
        <span><b>{{'settings-and-support.username' | translate}}:</b> {{local.user?.username}}</span>
        <ui-button
            [text]="'settings-and-support.button-logout' | translate"
            [warning]="true"
            (isClicked)="logout()"
        ></ui-button>
    </div>
</ng-container>
<ui-loading-overlay
    *ngIf="loading$ | async"
></ui-loading-overlay>